SHARE
TWEET

Untitled

a guest Sep 23rd, 2016 120 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. test = Graph('http://localhost:7474/db/data/',username='neo4j',password='myPassword')
  2.    
  3. curl -u neo4j http://localhost:7474/db/data/
  4.  
  5. requests.get('http://localhost:7474/db/data/', auth=('neo4j','myPassword'))
  6.    
  7. Traceback (most recent call last):
  8.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/database/__init__.py", line 318, in __new__
  9.     inst = cls.__instances[key]
  10. KeyError: (<class 'py2neo.database.Graph'>, <ServerAddress settings={'http_port': 7474, 'host': 'localhost'}>, 'data')
  11.  
  12. During handling of the above exception, another exception occurred:
  13.  
  14. Traceback (most recent call last):
  15.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 322, in submit
  16.     response = send()
  17.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 317, in send
  18.     http.request(xstr(method), xstr(uri.absolute_path_reference), body, headers)
  19.   File "/usr/lib/python3.5/http/client.py", line 1106, in request
  20.     self._send_request(method, url, body, headers)
  21.   File "/usr/lib/python3.5/http/client.py", line 1151, in _send_request
  22.     self.endheaders(body)
  23.   File "/usr/lib/python3.5/http/client.py", line 1102, in endheaders
  24.     self._send_output(message_body)
  25.   File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
  26.     self.send(msg)
  27.   File "/usr/lib/python3.5/http/client.py", line 877, in send
  28.     self.connect()
  29.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 80, in connect
  30.     self.source_address)
  31.   File "/usr/lib/python3.5/socket.py", line 711, in create_connection
  32.     raise err
  33.   File "/usr/lib/python3.5/socket.py", line 702, in create_connection
  34.     sock.connect(sa)
  35. ConnectionRefusedError: [Errno 111] Connection refused
  36.  
  37. During handling of the above exception, another exception occurred:
  38.  
  39. Traceback (most recent call last):
  40.   File "<stdin>", line 1, in <module>
  41.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/database/__init__.py", line 327, in __new__
  42.     use_bolt = version_tuple(inst.__remote__.get().content["neo4j_version"]) >= (3,)
  43.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/database/http.py", line 154, in get
  44.     response = self.__base.get(headers=headers, redirect_limit=redirect_limit, **kwargs)
  45.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 966, in get
  46.     return self.__get_or_head("GET", if_modified_since, headers, redirect_limit, **kwargs)
  47.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 943, in __get_or_head
  48.     return rq.submit(redirect_limit=redirect_limit, **kwargs)
  49.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 433, in submit
  50.     http, rs = submit(self.method, uri, self.body, self.headers)
  51.   File "/home/deploy/toponimika/toponimikaenv/lib/python3.5/site-packages/py2neo/packages/httpstream/http.py", line 362, in submit
  52.     raise SocketError(code, description, host_port=uri.host_port)
  53. py2neo.packages.httpstream.http.SocketError: Connection refused
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top